<div class="value-integer" {{did-update this.updateValue @value}}>
  {{#if @disabled}}
    <div class="pb-2 pt-2 ps-3">
      {{this.value}}
    </div>
  {{else}}
    {{! template-lint-disable require-input-label }}
    <Input ...attributes class="form-control" @type="number" @value={{this.value}} {{on "keypress" this.validateValue}} />
  {{/if}}
</div>